Skip to main content
`Ctrl`+`K`

# MatGetNullSpaces

gets the null spaces, transpose null spaces, and near null spaces from an array of matrices

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetNullSpaces(PetscInt n, Mat mat[], MatNullSpace *nullsp[])

Logically Collective

## Input Parameters

- n - the number of matrices

- mat - the array of matrices

## Output Parameters

- nullsp - an array of null spaces, `NULL` for each matrix that does not have a null space, length 3 * `n`

## Note

Call `MatRestoreNullspaces()` to provide these to another array of matrices

## See Also

Matrices, `Mat`, `MatCreate()`, `MatNullSpaceCreate()`, `MatSetNearNullSpace()`, `MatGetNullSpace()`, `MatSetTransposeNullSpace()`, `MatGetTransposeNullSpace()`, `MatNullSpaceRemove()`, `MatRestoreNullSpaces()`

## Level

developer

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages